package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店采购订单信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkDcddStorepurchaseorderService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkDcddStorepurchaseorder(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkDcddStorepurchaseorderMapper.addSKcCrkDcddStorepurchaseorder", pd);
    }

    public List<PageData> findSKcCrkDcddStorepurchaseorderList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkDcddStorepurchaseorderMapper.selectSKcCrkDcddStorepurchaseorderList", pd);
    }

    public Integer SKcCrkDcddStorepurchaseorderRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkDcddStorepurchaseorderMapper.SKcCrkDcddStorepurchaseorderRemove", pd);
    }


    public Integer updateSKcCrkDcddStorepurchaseorder(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkDcddStorepurchaseorderMapper.updateSKcCrkDcddStorepurchaseorder", pd);
    }

}
